<?php

/* DCMS Special
 * Дата последнего редактирования 06.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки онлайн панели');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Онлайн панель');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='online_panel.php?m=saves' method='POST'>";

        $doc->Input('set_online_size', 'Размер выводимых аватаров', 3, "$user[set_online_size]", 'form-control', 'number', 'required');
        echo "<hr>";
        echo lang("Вывод онлайн панели") . "<br />";
        $doc->Radio('set_online', 'Только данные', 3, "" . ($user['set_online'] == 3 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Только аватары', 2, "" . ($user['set_online'] == 2 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Данные и аватары', 1, "" . ($user['set_online'] == 1 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Отключить', 0, "" . ($user['set_online'] == 0 ? " checked='checked'" : null) . "");
        echo "<hr>";

        echo lang("Вид онлайн панели") . "<br />";
        $doc->Radio('set_online_view', "" . lang('Онлайн') . " 235 | " . lang('Гостей') . " 452", 1, "" . ($user['set_online_view'] == 1 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online_view', "" . lang('Онлайн') . " 235 (" . lang('Гостей') . " 452)", 2, "" . ($user['set_online_view'] == 2 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online_view', "" . lang('Онлайн') . " 235 (+452)", 3, "" . ($user['set_online_view'] == 3 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online_view', "" . lang('Онлайн') . " 687", 4, "" . ($user['set_online_view'] == 4 ? " checked='checked'" : null) . "");

        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";
        break;

    case 'saves':

        if (isset($_POST['save'])) {
            if (isset($_POST['set_online_size']) && is_numeric($_POST['set_online_size']) && $_POST['set_online_size'] > 0 && $_POST['set_online_size'] <= 150) {
                $user['set_online_size'] = intval($_POST['set_online_size']);
                $db->query("UPDATE `user` SET `set_online_size` = '" . $user['set_online_size'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильный размер аватаров');
            }

            if (isset($_POST['set_online']) && ($_POST['set_online'] == 3 || $_POST['set_online'] == 2 || $_POST['set_online'] == 1 || $_POST['set_online'] == 0)) {
                $user['set_online'] = intval($_POST['set_online']);
                $db->query("UPDATE `user` SET `set_online` = '$user[set_online]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка вывода панели онлайн');
            }

            if (isset($_POST['set_online_view']) && ($_POST['set_online_view'] == 4 || $_POST['set_online_view'] == 3 || $_POST['set_online_view'] == 2 || $_POST['set_online_view'] == 1)) {
                $user['set_online_view'] = intval($_POST['set_online_view']);
                $db->query("UPDATE `user` SET `set_online_view` = '$user[set_online_view]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка вида панели онлайн');
            }

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: online_panel.php" . SID);
            exit;
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
